Subject: bug#42651: emacs-27.1-rc1 and wrong GnuPG libraries

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 09 Nov 2021 07:42:07 +0100

Stefan Kangas <[email-masked]> writes:

>> LDFLAGS is set. Here are the flags I use for every package I build on Linux.
>>
>>  AUTOCONF_BUILD: x86_64-pc-linux-gnu
>> PKG_CONFIG_PATH: /usr/local/lib/pkgconfig
>>        CPPFLAGS: -I/usr/local/include -DNDEBUG
>>         ASFLAGS: -Wa,--noexecstack
>>          CFLAGS: -g2 -O2 -march=native -fPIC -pthread
>>        CXXFLAGS: -g2 -O2 -march=native -fPIC -pthread
>>         LDFLAGS: -L/usr/local/lib -Wl,-R,'$ORIGIN/../lib'
>> -Wl,-R,/usr/local/lib -Wl,--enable-new-dtags -Wl,-z,relro -Wl,-z,now
>> -Wl,-z,noexecstack -Wl,-z,origin
>>          LDLIBS: -ldl -lpthread
>
> Could you provide a recipe for reproducing this issue?

More information was requested, but no response was given within a
month, so I'm closing this bug report.  If progress can be made,
please respond to this email and we'll reopen the bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no